#include<bits/stdc++.h>
#define MAXX 1000000
#include "guess.h"
using namespace std;
vector<int>xx[MAXX];
int find_number(int x) {
    int i, j;
    for (i=1; i<=MAXX; i++) {
        for (j=1; j<=MAXX; j++) {
            xx[i].push_back(j);
        }
    }
    int st=1, dr=x, ans=-1;
    while (st<=dr) {
        int mij=(st+dr)/2;
        if (smaller(mij)==1) {
            dr=mij-1;
        }
        else {
            st=mij+1;
            ans=mij;
        }
    }
    return ans;
}

